#ifndef mythread_h__
#define mythread_h__


#include "pthread.h"
#include "exception.h"



#define FUNC_NAME_LEN 20


typedef struct _myth_def{
  struct _myth_def *next;
  struct _myth_def *last;
  pthread_t th;
  exception_def except;
  size_t id;
  size_t end;
  int (*func)(void *);
  void* arg;
  char name[FUNC_NAME_LEN];
}myth_def;





pthread_t* myth_create(int (*func)(void *t),void *t,const char *name);
int myth_join();
myth_def *myth_self();


#endif
